Subject: bug#34622: closed (Re: bug#34622: Find file prompt should indicate sole completion by appending a blank)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Sep 2019 03:15:02 +0000

Your bug report

#34622: Find file prompt should indicate sole completion by appending a blank

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34622: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34622
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34622: Find file prompt should indicate sole completion by appending a blank
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked],積丹尼 Dan Jacobson <[email-masked]>
Date: Mon, 16 Sep 2019 05:13:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> tags 34622 notabug
> thanks
>
>> From: 積丹尼 Dan Jacobson
>>     <[email-masked]>
>> Date: Sat, 23 Feb 2019 05:40:07 +0800
>>
>> With emacs, one can never be sure if the expansion
>> Find file or URL: ~/bin/wwzz
>> is the sole completion or not, without needing a second TAB press to get
>> "[Sole completion]" shown.
>
> Which command did that?  "C-x C-f" shows just the directory, so
> there's no question of completions with the initial prompt.  The
> situation you describe is thus not entirely clear.
>
> But in general, this default behavior is on purpose (there are add-on
> packages which give you immediate feedback about candidates).
> File-name completion is special, by design.
>
>> With bash, there is always a space added at end,
>> "$ wc ~/bin/wwzz "
>> so we know right away.
>
> Bash is not an editor, so the considerations are different.  For
> example, Bash doesn't need to consider the possibility that the user
> would like to create a new file.
>
>> I propose that emacs do the same:
>> "Find file or URL: ~/bin/wwzz "
>> and if they really want to enter a file with a " " at the end, well they
>> could use C-q (quoted-insert).
>
> Asking users to use C-q for whitespace embedded in a file name is a
> non-starter.  We did the opposite change several Emacs versions ago.

Since this is notabug, I'm also closing it now.

Best regards,
Stefan Kangas

Subject: Find file prompt should indicate sole completion by appending a blank
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Sat, 23 Feb 2019 05:40:07 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

With emacs, one can never be sure if the expansion
Find file or URL: ~/bin/wwzz
is the sole completion or not, without needing a second TAB press to get
"[Sole completion]" shown.

With bash, there is always a space added at end,
"$ wc ~/bin/wwzz "
so we know right away.

I propose that emacs do the same:
"Find file or URL: ~/bin/wwzz "
and if they really want to enter a file with a " " at the end, well they
could use C-q (quoted-insert).

See also https://www.gnu.org/software/emacs/manual/html_node/elisp/Minibuffer-Completion.html
but I am specifically talking about C-x C-f (find-file) and C-x d
(dired). Sorry we did discuss this before...